| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Num.SampledDataElement Class Reference

A single element of a sampled data, contains vector of input parameters and vector of output values. More...

Collaboration diagram for IG.Num.SampledDataElement:
[legend]

## Public Member Functions
| SampledDataElement (IVector input, IVector output)
| Creates a new sampled data element with the specified vectors of input parameters and corresponding output values. More...

## Static Public Member Functions
static void | UpdateElemetIndices (IEnumerable< SampledDataElement > elements)
| Updates indices of sampled data elements contained in the specified collection in such a way that they correspond with their position in collection. More...

## Protected Attributes
IVector | _inputParameters
IVector | _outputValues

## Properties
int | Index`[get, set]`
| Idex of the current sampled data element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out. More...
virtual IVector | InputParameters`[get, set]`
| Vector of input parameters of a single element of sampled data. More...
virtual IVector | OutputValues`[get, set]`
| Vector of input parameters of a single element of sampled data. More...
virtual int | InputLength`[get]`
| Returns number of input parameters of the current sampled data element. More...
virtual int | OutputLength`[get]`
| Returns number of output values of the current sampled data element. More...

## Private Attributes
int | _index

## Detailed Description

A single element of a sampled data, contains vector of input parameters and vector of output values.

$A Igor Jun08;

## Constructor & Destructor Documentation

IG.Num.SampledDataElement.SampledDataElement | ( | IVector | input,
|  | IVector | output
| ) |  |
| inline

Creates a new sampled data element with the specified vectors of input parameters and corresponding output values.

Parameters

  input | Input parameters.
  output | Corresponding output values.

## Member Function Documentation

static void IG.Num.SampledDataElement.UpdateElemetIndices | ( | IEnumerable< SampledDataElement > | elements | ) |
| inline static

Updates indices of sampled data elements contained in the specified collection in such a way that they correspond with their position in collection.

In this way, element indices can be used to directly access elements within the collection (without a search).

Parameters

  elements | Collection of sampled data elements for which element indices are updated.

References IG.Num.SampledDataElement.Index.

Referenced by IG.Num.SampledDataSet.UpdateElementIndices().

## Member Data Documentation

int IG.Num.SampledDataElement._index
| private

IVector IG.Num.SampledDataElement._inputParameters
| protected

IVector IG.Num.SampledDataElement._outputValues
| protected

## Property Documentation

int IG.Num.SampledDataElement.Index
| get set

Idex of the current sampled data element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out.

Referenced by IG.Num.SampledDataElementDto.CopyFromPlain(), IG.Num.SampledDataSet.GetNumInputDuplicates(), IG.Num.SampledDataSet.RemoveInputDuplicates(), and IG.Num.SampledDataElement.UpdateElemetIndices().

virtual IVector IG.Num.SampledDataElement.InputParameters
| get set

Vector of input parameters of a single element of sampled data.

Referenced by IG.Num.NeuralApproximatorBase.CalculateTrainingVerificationOutputs(), IG.Num.SampledDataSet.ComparerInputDistance.Compare(), IG.Num.SampledDataElementDto.CopyFromPlain(), IG.Num.SampledDataSet.ComparerInputDistance.Distance(), IG.Num.SampledDataSet.GetInputParameters(), IG.Num.SampledDataSet.GetNumInputDuplicates(), IG.Num.PointContainerSampledDataElement.GetPointCoordinates(), IG.Num.DistanceComparerSampledDataElement.GetPointCoordinates(), IG.Neural.NeuralApproximatorAforge.PrepareInternalTrainingData(), IG.Num.SampledDataSet.RemoveInputDuplicates(), IG.Num.SampledDataSet.SetInputParameters(), IG.Neural.NeuralTadej.SmoothingTrainingData(), IG.Num.SampledDataCsv.StoreData(), and IG.Num.SampledDataSet.ToString().

virtual IVector IG.Num.SampledDataElement.OutputValues
| get set

Vector of input parameters of a single element of sampled data.

Referenced by IG.Num.SampledDataSet.ComparerOutputDistance.Compare(), IG.Num.SampledDataElementDto.CopyFromPlain(), IG.Num.SampledDataSet.ComparerOutputDistance.Distance(), IG.Num.SampledDataSet.GetOutputValues(), IG.Num.PointContainerSampledDataElement.GetPointOutputVector(), IG.Neural.NeuralApproximatorAforge.PrepareInternalTrainingData(), IG.Num.SampledDataSet.SetOutputValues(), IG.Neural.NeuralTadej.SmoothingTrainingData(), IG.Num.SampledDataCsv.StoreData(), and IG.Num.SampledDataSet.ToString().

virtual int IG.Num.SampledDataElement.InputLength
| get

Returns number of input parameters of the current sampled data element.

Referenced by IG.Num.SampledDataSet.AddElement().

virtual int IG.Num.SampledDataElement.OutputLength
| get

Returns number of output values of the current sampled data element.

Referenced by IG.Num.SampledDataSet.AddElement().

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledData.cs